MQTransactionRolledBackRuntimeException (Eclipse OpenMQ (tm), 5.1 API Specification)
Description: declaration: package: com.sun.messaging.jms, class: MQTransactionRolledBackRuntimeException

Package com.sun.messaging.jms

# Class MQTransactionRolledBackRuntimeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
jakarta.jms.JMSRuntimeException
jakarta.jms.TransactionRolledBackRuntimeException
com.sun.messaging.jms.MQTransactionRolledBackRuntimeException

All Implemented Interfaces:
  `com.sun.messaging.jmq.jmsclient.logging.Loggable`, `Serializable`

public class MQTransactionRolledBackRuntimeException extends jakarta.jms.TransactionRolledBackRuntimeException implements com.sun.messaging.jmq.jmsclient.logging.Loggable
This class is the MQ-specific implementation of jakarta.jms.TransactionRolledBackRuntimeException and adds the methods setLogState and getlogState

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MQTransactionRolledBackRuntimeException(jakarta.jms.TransactionRolledBackException cause)`
  Construct a `MQTransactionRolledBackRuntimeException` to wrap the specified TransactionRolledBackException
  `MQTransactionRolledBackRuntimeException(String detailMessage)`
  Constructs a `MQTransactionRolledBackRuntimeException` with the specified detail message
  `MQTransactionRolledBackRuntimeException(String detailMessage, String errorCode)`
  Constructs a `MQTransactionRolledBackRuntimeException` with the specified detail message and error code.
  `MQTransactionRolledBackRuntimeException(String detailMessage, String errorCode, Throwable cause)`
  Constructs a `MQTransactionRolledBackRuntimeException` with the specified detail message, error code and cause

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `getLogState()`
  return whether this object is logged
  `void`
  `setLogState(boolean state)`
  Specify whether this object is logged.

  ### Methods inherited from class jakarta.jms.JMSRuntimeException

  `getErrorCode`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MQTransactionRolledBackRuntimeException

    public MQTransactionRolledBackRuntimeException(String detailMessage)
    Constructs a `MQTransactionRolledBackRuntimeException` with the specified detail message
    Parameters:
      `detailMessage` - a description of the exception

  - ### MQTransactionRolledBackRuntimeException

    public MQTransactionRolledBackRuntimeException(String detailMessage, String errorCode)
    Constructs a `MQTransactionRolledBackRuntimeException` with the specified detail message and error code.
    Parameters:
      `detailMessage` - a description of the exception
      `errorCode` - a provider-specific error code

  - ### MQTransactionRolledBackRuntimeException

    public MQTransactionRolledBackRuntimeException(String detailMessage, String errorCode, Throwable cause)
    Constructs a `MQTransactionRolledBackRuntimeException` with the specified detail message, error code and cause
    Parameters:
      `detailMessage` - a description of the exception
      `errorCode` - a provider-specific error code
      `cause` - the underlying cause of this exception

  - ### MQTransactionRolledBackRuntimeException

    public MQTransactionRolledBackRuntimeException(jakarta.jms.TransactionRolledBackException cause)
    Construct a `MQTransactionRolledBackRuntimeException` to wrap the specified TransactionRolledBackException
    Parameters:
      `cause` - the underlying cause of this exception

- ## Method Details

  - ### setLogState

    public void setLogState(boolean state)
    Specify whether this object is logged.
    Specified by:
      `setLogState` in interface `com.sun.messaging.jmq.jmsclient.logging.Loggable`
    Parameters:
      `state` - whether this object is logged

  - ### getLogState

    public boolean getLogState()
    return whether this object is logged
    Specified by:
      `getLogState` in interface `com.sun.messaging.jmq.jmsclient.logging.Loggable`
    Returns:
      whether this object is logged